curl --request POST \
--url http://sandbox.mintlify.com/v1/pay/gift/create \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"title": "api create gift card1",
"templateId": "255267012439183360",
"currency": "USDT",
"amount": "0.99"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"card_num": "2002356433468640",
"card_key": "yJgkiqAVCwS0tC8W5D+t9iFqwtxp9CUSHGBFYDDJ608=",
"amount": "0.99",
"currency": "USDT",
"status": 1,
"card_temp_id": "255267012439183360",
"creator": 10002,
"creator_name": "GateUser-8118f6f8",
"exchange_uid": 0,
"owner": 10002,
"give_count": 0,
"last_give_time": 0,
"create_time": 1737942105582
}
}Create a new gift card with specified title, template, currency and amount.
curl --request POST \
--url http://sandbox.mintlify.com/v1/pay/gift/create \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"title": "api create gift card1",
"templateId": "255267012439183360",
"currency": "USDT",
"amount": "0.99"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"card_num": "2002356433468640",
"card_key": "yJgkiqAVCwS0tC8W5D+t9iFqwtxp9CUSHGBFYDDJ608=",
"amount": "0.99",
"currency": "USDT",
"status": 1,
"card_temp_id": "255267012439183360",
"creator": 10002,
"creator_name": "GateUser-8118f6f8",
"exchange_uid": 0,
"owner": 10002,
"give_count": 0,
"last_give_time": 0,
"create_time": 1737942105582
}
}Merchant client ID
"mZ96D37oKk-HrWJc"
Signature
"b8c4705ff4c1357f2a27925dd180c1e1f4a244148f312a2dee5afbcc6f4b150e9ffceee455c5a298f895d43a64ee829eebdfd262539d45c41f7aee4336fd8c8c"
Timestamp (milliseconds)
"1738934053475"
Nonce
"5417061546"
Create gift card request parameters